#!/usr/bin/env bash
gnustep_append_default() {
	if [[ -z $1 || -z $2 || -z $3 ]]; then
		echo "warning: invalid script invocation"
		return
	fi
	dom=$1
	key=$2
	val=$3
	cur=$(defaults read ${dom} ${key}) 2> /dev/null
	if [[ -z $cur ]] ; then
		echo " * setting ${dom} ${key}"
		defaults write ${dom} ${key} "( ${val} )"
	elif [[ ${cur} != *${val}* ]] ; then
		echo " * adding ${val} to ${dom} ${key}"
		echo "${cur%)\'}, \"${val}\" )'" | defaults write
	else
		echo " * ${val} already present in ${dom} ${key}"
	fi
}

gnustep_set_default() {
	if [[ -z $1 || -z $2 || -z $3 ]]; then
		echo "warning: invalid script invocation"
		return
	fi
	dom=$1
	key=$2
	val=$3
	echo " * setting ${dom} ${key}"
	defaults write ${dom} ${key} ${val}
}

echo "Applying gnustep-back-art-0.31.0 default configuration ..."
echo ' * setting normal font to DejaVuSans'
defaults write NSGlobalDomain NSFont DejaVuSans
echo ' * setting bold font to DejaVuSans-Bold'
defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold
echo ' * setting fixed font to DejaVuSansMono'
defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono
echo "done"
